Bug 842087 - avc: denied { setattr } for pid=8480 comm="winbindd" name="smbpasswd"
avc: denied { setattr } for pid=8480 comm="winbindd" name="smbpasswd"
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.8
Unspecified Linux
medium Severity low
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 15:03 EDT by Ales Zelinka
Modified: 2012-11-06 08:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 08:59:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2012-07-21 15:03:44 EDT
this AVC is logged when samba3x winbind authenticates a user:


type=AVC msg=audit(1342876814.160:78): avc:  denied  { setattr } for  pid=8480 comm="winbindd" name="smbpasswd" dev=dm-0 ino=144901331 scontext=root:system_r:winbind_t:s0 tcontext=root:object_r:samba_etc_t:s0 tclass=file
Comment 1 RHEL Product and Program Management 2012-07-21 15:18:07 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Miroslav Grepl 2012-07-23 01:18:13 EDT
# matchpathcon /etc/samba/smbpasswd

# ls -Z /etc/samba/smbpasswd

You probably will need to run restorecon.

But the file should be created with correct label. Could be a test issue?
Comment 4 Ales Zelinka 2012-08-22 08:59:42 EDT
You're right, my bad.

Note You need to log in before you can comment on or make changes to this bug.